// codeberg.org/mapleopentech/monorepo/cloud/maplefile-backend/internal/repo/user/impl.go
package user

import (
	"context"

	"go.uber.org/zap"

	"github.com/gocql/gocql"
	dom_user "codeberg.org/mapleopentech/monorepo/cloud/maplefile-backend/internal/domain/user"
)

type userStorerImpl struct {
	session *gocql.Session
	logger  *zap.Logger
}

func NewRepository(session *gocql.Session, logger *zap.Logger) dom_user.Repository {
	logger = logger.Named("MapleFileUserRepository")
	return &userStorerImpl{
		session: session,
		logger:  logger,
	}
}

// ListAll retrieves all users from the database
func (impl userStorerImpl) ListAll(ctx context.Context) ([]*dom_user.User, error) {
	return nil, nil
}
